diff --git a/pki/base/util/src/netscape/security/x509/CRLDistributionPointsExtension.java b/pki/base/util/src/netscape/security/x509/CRLDistributionPointsExtension.java
index c939a7431718d3d7fc5e5df02f2db034003cbbbd..e966688df8dbae6f999ea9043b92d075897ae5e8 100644
--- a/pki/base/util/src/netscape/security/x509/CRLDistributionPointsExtension.java
+++ b/pki/base/util/src/netscape/security/x509/CRLDistributionPointsExtension.java
@@ -176,18 +176,17 @@ public class CRLDistributionPointsExtension extends Extension
     // because it is so complicated. Therefore, we only provide a
     // minimal implementation.
     /////////////////////////////////////////////////////////////
-    public static final String NAME = "CRLDistributionPoints";
 
     static {
         try {
             OIDMap.addAttribute(CRLDistributionPointsExtension.class.getName(),
-                                OID, NAME);
+                                OID, CRLDistributionPointsExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
 
     public String toString() {
-        return NAME;
+        return this.getClass().getSimpleName();
     }
 
     /**
@@ -234,10 +233,6 @@ public class CRLDistributionPointsExtension extends Extension
         return (new Vector<String>()).elements();
     }
 
-    public String getName() {
-        return NAME;
-    }
-
     /**
      * Test driver.
      */
diff --git a/pki/base/util/src/netscape/security/x509/CRLNumberExtension.java b/pki/base/util/src/netscape/security/x509/CRLNumberExtension.java
index 7c89b179fe8c63054161768a0db18c341889f43e..848c2f70c5e8d34849afe9173c1af52eaf38ea6d 100755
--- a/pki/base/util/src/netscape/security/x509/CRLNumberExtension.java
+++ b/pki/base/util/src/netscape/security/x509/CRLNumberExtension.java
@@ -52,7 +52,6 @@ public class CRLNumberExtension extends Extension
     /**
      * Attribute name.
      */
-    public static final String NAME = "CRLNumber";
     public static final String NUMBER = "value";
 
     private BigInt crlNumber = null;
@@ -217,10 +216,4 @@ public class CRLNumberExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/CRLReasonExtension.java b/pki/base/util/src/netscape/security/x509/CRLReasonExtension.java
index 3c11fc70bcc9c6195150fbd1aaef5f7ad2a5a4b7..6911d5e73d1df740a4a1587fd39ba186de3b9be8 100644
--- a/pki/base/util/src/netscape/security/x509/CRLReasonExtension.java
+++ b/pki/base/util/src/netscape/security/x509/CRLReasonExtension.java
@@ -64,7 +64,6 @@ public final class CRLReasonExtension extends Extension implements CertAttrSet {
     /**
      * Attribute names.
      */
-    public static final String NAME = "CRLReason";
     public static final String REASON = "value";
 
     private RevocationReason mReason = null;
@@ -214,13 +213,6 @@ public final class CRLReasonExtension extends Extension implements CertAttrSet {
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
-
     public boolean equals(Object other) {
         if (this == other)
             return true;
diff --git a/pki/base/util/src/netscape/security/x509/CertificateIssuerExtension.java b/pki/base/util/src/netscape/security/x509/CertificateIssuerExtension.java
index 774116bcc16ce825132c57d3d19816395601e3cf..33be54378aa6a4c84a1ffc84d92bbaa8e8d2c653 100644
--- a/pki/base/util/src/netscape/security/x509/CertificateIssuerExtension.java
+++ b/pki/base/util/src/netscape/security/x509/CertificateIssuerExtension.java
@@ -48,7 +48,6 @@ public class CertificateIssuerExtension extends Extension
     /**
      * Attribute name.
      */
-    public static final String NAME = "CertificateIssuer";
     public static final String CERTIFICATE_ISSUER = "value";
 
     /**
@@ -62,7 +61,7 @@ public class CertificateIssuerExtension extends Extension
     static {
         try {
             OIDMap.addAttribute(CertificateIssuerExtension.class.getName(),
-                                OID, NAME);
+                                OID, CertificateIssuerExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -233,10 +232,4 @@ public class CertificateIssuerExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/CertificatePoliciesExtension.java b/pki/base/util/src/netscape/security/x509/CertificatePoliciesExtension.java
index 1c72e7fa3a3ebac67fb9e8bf700410f3f8297ca6..eb80ff9196bbd5ea1cb2f7f058ee44b004e85339 100644
--- a/pki/base/util/src/netscape/security/x509/CertificatePoliciesExtension.java
+++ b/pki/base/util/src/netscape/security/x509/CertificatePoliciesExtension.java
@@ -64,7 +64,6 @@ public class CertificatePoliciesExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "CertificatePolicies";
     public static final String INFOS = "infos";
 
     // Private data members 
@@ -240,13 +239,6 @@ public class CertificatePoliciesExtension extends Extension
         return Collections.enumeration(Arrays.asList(NAMES));
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
-
     public static void main(String args[]) {
 
         /**
diff --git a/pki/base/util/src/netscape/security/x509/DeltaCRLIndicatorExtension.java b/pki/base/util/src/netscape/security/x509/DeltaCRLIndicatorExtension.java
index da870f4fdf15a9213d083ab25b8b23a0c538301e..5a6be134ee4945cc4a329790b652ce79522a7678 100755
--- a/pki/base/util/src/netscape/security/x509/DeltaCRLIndicatorExtension.java
+++ b/pki/base/util/src/netscape/security/x509/DeltaCRLIndicatorExtension.java
@@ -51,7 +51,6 @@ public class DeltaCRLIndicatorExtension extends Extension
     /**
      * Attribute name.
      */
-    public static final String NAME = "DeltaCRLIndicator";
     public static final String NUMBER = "value";
 
     /**
@@ -64,7 +63,7 @@ public class DeltaCRLIndicatorExtension extends Extension
     static {
         try {
             OIDMap.addAttribute(DeltaCRLIndicatorExtension.class.getName(),
-                                OID, NAME);
+                                OID, DeltaCRLIndicatorExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -230,10 +229,4 @@ public class DeltaCRLIndicatorExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/Extension.java b/pki/base/util/src/netscape/security/x509/Extension.java
index 5d0029875a243457cafe3f88f40c0543d809efdd..1dd68d6e1f290919c3e366291f620c4722341814 100644
--- a/pki/base/util/src/netscape/security/x509/Extension.java
+++ b/pki/base/util/src/netscape/security/x509/Extension.java
@@ -196,4 +196,9 @@ public class Extension implements Serializable {
         }
         return (s);
     }
+
+    public String getName() {
+        return this.getClass().getSimpleName();
+    }
+
 }
diff --git a/pki/base/util/src/netscape/security/x509/Extensions.java b/pki/base/util/src/netscape/security/x509/Extensions.java
index 622367ab606fedd69aaba84c911cedb0170eadc8..e7113ce46cd03c85316264393afb7affacb69a8b 100644
--- a/pki/base/util/src/netscape/security/x509/Extensions.java
+++ b/pki/base/util/src/netscape/security/x509/Extensions.java
@@ -221,6 +221,6 @@ public class Extensions extends Vector<Extension>
      * Return the name of this attribute.
      */
     public String getName() {
-        return (NAME);
+        return getClass().getSimpleName();
     }
 }
diff --git a/pki/base/util/src/netscape/security/x509/FreshestCRLExtension.java b/pki/base/util/src/netscape/security/x509/FreshestCRLExtension.java
index 320bbf3df24df42461626b833fc820091ec9baa7..a029c62f3db9cca6131234a9e71b097d3d10d366 100644
--- a/pki/base/util/src/netscape/security/x509/FreshestCRLExtension.java
+++ b/pki/base/util/src/netscape/security/x509/FreshestCRLExtension.java
@@ -81,16 +81,13 @@ public class FreshestCRLExtension extends Extension
     // Cached DER-encoding to improve performance.
     private byte[] cachedEncoding = null;
 
-    // Attribute name
-    public static final String NAME = "FreshestCRL";
-
     // The Object Identifier for this extension.
     public static final String OID = "2.5.29.46";
 
     static {
         try {
             OIDMap.addAttribute(FreshestCRLExtension.class.getName(),
-                                OID, NAME);
+                                OID, FreshestCRLExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -193,7 +190,7 @@ public class FreshestCRLExtension extends Extension
     // minimal implementation.
     /////////////////////////////////////////////////////////////
     public String toString() {
-        return NAME;
+        return FreshestCRLExtension.class.getSimpleName();
     }
 
     /**
@@ -240,10 +237,6 @@ public class FreshestCRLExtension extends Extension
         return (new Vector<String>()).elements();
     }
 
-    public String getName() {
-        return NAME;
-    }
-
     /**
      * Test driver.
      */
diff --git a/pki/base/util/src/netscape/security/x509/HoldInstructionExtension.java b/pki/base/util/src/netscape/security/x509/HoldInstructionExtension.java
index b42bb6ac91268ea49d6d2cc1790508d3a858599a..35f13dad8ce468226bb1d363c8731d5d1700feda 100644
--- a/pki/base/util/src/netscape/security/x509/HoldInstructionExtension.java
+++ b/pki/base/util/src/netscape/security/x509/HoldInstructionExtension.java
@@ -51,7 +51,6 @@ public class HoldInstructionExtension extends Extension
     /**
      * Attribute name.
      */
-    public static final String NAME = "HoldInstruction";
     public static final String HOLD_INSTRUCTION = "value";
 
     /**
@@ -86,7 +85,7 @@ public class HoldInstructionExtension extends Extension
     static {
         try {
             OIDMap.addAttribute(HoldInstructionExtension.class.getName(),
-                                OID, NAME);
+                                OID, HoldInstructionExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -345,10 +344,4 @@ public class HoldInstructionExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/InvalidityDateExtension.java b/pki/base/util/src/netscape/security/x509/InvalidityDateExtension.java
index 44c76275f17179bcb129982b1c7202f7c6445308..14992dcf5f3995043811d07fc9f73d7e6ccde4bd 100755
--- a/pki/base/util/src/netscape/security/x509/InvalidityDateExtension.java
+++ b/pki/base/util/src/netscape/security/x509/InvalidityDateExtension.java
@@ -52,7 +52,6 @@ public class InvalidityDateExtension extends Extension
     /**
      * Attribute name.
      */
-    public static final String NAME = "InvalidityDate";
     public static final String INVALIDITY_DATE = "value";
 
     /**
@@ -65,7 +64,7 @@ public class InvalidityDateExtension extends Extension
     static {
         try {
             OIDMap.addAttribute(InvalidityDateExtension.class.getName(),
-                                OID, NAME);
+                                OID, InvalidityDateExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -232,10 +231,4 @@ public class InvalidityDateExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/IssuerAlternativeNameExtension.java b/pki/base/util/src/netscape/security/x509/IssuerAlternativeNameExtension.java
index df0289f9e008fc059d4bf67dda055df3513e9fe0..9bb0fba10841bd2776d210000eb5fd941082ea6d 100644
--- a/pki/base/util/src/netscape/security/x509/IssuerAlternativeNameExtension.java
+++ b/pki/base/util/src/netscape/security/x509/IssuerAlternativeNameExtension.java
@@ -59,7 +59,6 @@ public class IssuerAlternativeNameExtension
     /**
      * Attribute names.
      */
-    public static final String NAME = "IssuerAlternativeName";
     public static final String ISSUER_NAME = "issuer_name";
 
     // private data members
@@ -231,10 +230,4 @@ public class IssuerAlternativeNameExtension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java b/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
index fc7e837ce9d5b30e131fe0d315cf81c5d01c7783..f3b7ccfed0df67fa86ba0056cfa87f3457d60c7f 100644
--- a/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
+++ b/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
@@ -105,7 +105,6 @@ public class IssuingDistributionPointExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "IssuingDistributionPoint";
     public static final String ISSUING_DISTRIBUTION_POINT = "issuing_distribution_point";
 
     // Private data members
@@ -117,7 +116,7 @@ public class IssuingDistributionPointExtension extends Extension
     static {
         try {
             OIDMap.addAttribute(IssuingDistributionPointExtension.class.getName(),
-                                OID, NAME);
+                                OID, IssuingDistributionPointExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -285,7 +284,7 @@ public class IssuingDistributionPointExtension extends Extension
      */
 
     public String toString() {
-        return NAME;
+        return IssuingDistributionPointExtension.class.getSimpleName();
     }
 
     /**
@@ -347,10 +346,6 @@ public class IssuingDistributionPointExtension extends Extension
         //        return (new Vector()).elements();
     }
 
-    public String getName() {
-        return NAME;
-    }
-
     /**
      * Test driver.
      */
diff --git a/pki/base/util/src/netscape/security/x509/KeyUsageExtension.java b/pki/base/util/src/netscape/security/x509/KeyUsageExtension.java
index 56084dbcfd7d83fbc98280af441bda39b22c0ecd..a6cd2bbec0fab66a0437347e2f922af976f95789 100644
--- a/pki/base/util/src/netscape/security/x509/KeyUsageExtension.java
+++ b/pki/base/util/src/netscape/security/x509/KeyUsageExtension.java
@@ -57,7 +57,6 @@ public class KeyUsageExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "KeyUsage";
     public static final String DIGITAL_SIGNATURE = "digital_signature";
     public static final String NON_REPUDIATION = "non_repudiation";
     public static final String KEY_ENCIPHERMENT = "key_encipherment";
@@ -405,10 +404,4 @@ public class KeyUsageExtension extends Extension
         return (boolean[]) bitString.clone();
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/NSCCommentExtension.java b/pki/base/util/src/netscape/security/x509/NSCCommentExtension.java
index b24ce1158881ee68bc41e6cc9de9b23f9dae4af4..291f83681a45745aeceec118e8a25af8997113f9 100644
--- a/pki/base/util/src/netscape/security/x509/NSCCommentExtension.java
+++ b/pki/base/util/src/netscape/security/x509/NSCCommentExtension.java
@@ -51,7 +51,6 @@ public class NSCCommentExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "NSCCommentExtension";
     public static final String INFOS = "infos";
     public static final ObjectIdentifier OID =
             new ObjectIdentifier("2.16.840.1.113730.1.13");
@@ -220,11 +219,4 @@ public class NSCCommentExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
-
 }
diff --git a/pki/base/util/src/netscape/security/x509/NameConstraintsExtension.java b/pki/base/util/src/netscape/security/x509/NameConstraintsExtension.java
index 948d0d8c9f519c39a6d26806a2a02bdcfa3bee67..cf585baa124f8cf20ada09a75b758629be5e6d05 100644
--- a/pki/base/util/src/netscape/security/x509/NameConstraintsExtension.java
+++ b/pki/base/util/src/netscape/security/x509/NameConstraintsExtension.java
@@ -71,7 +71,6 @@ public class NameConstraintsExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "NameConstraints";
     public static final String PERMITTED_SUBTREES = "permitted_subtrees";
     public static final String EXCLUDED_SUBTREES = "excluded_subtrees";
 
@@ -306,10 +305,4 @@ public class NameConstraintsExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/OIDMap.java b/pki/base/util/src/netscape/security/x509/OIDMap.java
index 9c732d9386772d2a1c08bb463da6c7743b03be0a..7d21ab52586c269c61388d9fb008058203555ab3 100644
--- a/pki/base/util/src/netscape/security/x509/OIDMap.java
+++ b/pki/base/util/src/netscape/security/x509/OIDMap.java
@@ -58,38 +58,38 @@ public class OIDMap {
                                  X509CertInfo.NAME + "." +
                                  X509CertInfo.EXTENSIONS;
     private static final String AUTH_KEY_IDENTIFIER = ROOT + "." +
-                                          AuthorityKeyIdentifierExtension.NAME;
+                                          AuthorityKeyIdentifierExtension.class.getSimpleName();
     private static final String SUB_KEY_IDENTIFIER = ROOT + "." +
-                                          SubjectKeyIdentifierExtension.NAME;
+                                          SubjectKeyIdentifierExtension.class.getSimpleName();
     private static final String KEY_USAGE = ROOT + "." +
-                                          KeyUsageExtension.NAME;
+                                          KeyUsageExtension.class.getSimpleName();
     private static final String PRIVATE_KEY_USAGE = ROOT + "." +
-                                          PrivateKeyUsageExtension.NAME;
+                                          PrivateKeyUsageExtension.class.getSimpleName();
     private static final String POLICY_MAPPINGS = ROOT + "." +
-                                          PolicyMappingsExtension.NAME;
+                                          PolicyMappingsExtension.class.getSimpleName();
     private static final String SUB_ALT_NAME = ROOT + "." +
-                                          SubjectAlternativeNameExtension.NAME;
+                                          SubjectAlternativeNameExtension.class.getSimpleName();
     private static final String ISSUER_ALT_NAME = ROOT + "." +
-                                          IssuerAlternativeNameExtension.NAME;
+                                          IssuerAlternativeNameExtension.class.getSimpleName();
     private static final String BASIC_CONSTRAINTS = ROOT + "." +
-                                          BasicConstraintsExtension.NAME;
+                                          BasicConstraintsExtension.class.getSimpleName();
     private static final String NAME_CONSTRAINTS = ROOT + "." +
-                                          NameConstraintsExtension.NAME;
+                                          NameConstraintsExtension.class.getSimpleName();
     private static final String POLICY_CONSTRAINTS = ROOT + "." +
-                                          PolicyConstraintsExtension.NAME;
+                                          PolicyConstraintsExtension.class.getSimpleName();
     private static final String CERT_POLICIES = //ROOT + "." +
-            CertificatePoliciesExtension.NAME;
+            CertificatePoliciesExtension.class.getSimpleName();
     private static final String SUBJ_DIR_ATTR = //ROOT + "." +
-            SubjectDirAttributesExtension.NAME;
+            SubjectDirAttributesExtension.class.getSimpleName();
     public static final String EXT_KEY_USAGE_NAME = "ExtendedKeyUsageExtension";
     public static final String EXT_INHIBIT_ANY_POLICY_NAME = "InhibitAnyPolicyExtension";
     private static final String EXT_KEY_USAGE = //ROOT + "." +
             EXT_KEY_USAGE_NAME;
 
     private static final String CRL_NUMBER = ROOT + "." +
-                                          CRLNumberExtension.NAME;
+                                          CRLNumberExtension.class.getSimpleName();
     private static final String CRL_REASON = ROOT + "." +
-                                          CRLReasonExtension.NAME;
+                                          CRLReasonExtension.class.getSimpleName();
 
     private static final Hashtable<ObjectIdentifier, String> oid2Name = new Hashtable<ObjectIdentifier, String>();
     private static final Hashtable<String, ObjectIdentifier> name2OID = new Hashtable<String, ObjectIdentifier>();
diff --git a/pki/base/util/src/netscape/security/x509/PolicyConstraintsExtension.java b/pki/base/util/src/netscape/security/x509/PolicyConstraintsExtension.java
index 7d98b21ba5c68dca2ba825524bd72a9d744ddfcc..ffbc25e98b69d6b7888621018f75c1ff2bec94a5 100644
--- a/pki/base/util/src/netscape/security/x509/PolicyConstraintsExtension.java
+++ b/pki/base/util/src/netscape/security/x509/PolicyConstraintsExtension.java
@@ -67,7 +67,6 @@ public class PolicyConstraintsExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "PolicyConstraints";
     public static final String REQUIRE = "require";
     public static final String INHIBIT = "inhibit";
 
@@ -284,13 +283,6 @@ public class PolicyConstraintsExtension extends Extension
     }
 
     /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
-
-    /**
      * returns the requireExplicitMapping parameter.
      */
     public int getRequireExplicitMapping() {
diff --git a/pki/base/util/src/netscape/security/x509/PolicyMappingsExtension.java b/pki/base/util/src/netscape/security/x509/PolicyMappingsExtension.java
index 9bdfb611bd07edfb41120aa1f00eeb18df83b3fa..f97bf10de4478ec111a9cc8b096d14264d1fb408 100644
--- a/pki/base/util/src/netscape/security/x509/PolicyMappingsExtension.java
+++ b/pki/base/util/src/netscape/security/x509/PolicyMappingsExtension.java
@@ -61,7 +61,6 @@ public class PolicyMappingsExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "PolicyMappings";
     public static final String MAP = "map";
 
     // Private data members
@@ -241,13 +240,6 @@ public class PolicyMappingsExtension extends Extension
     }
 
     /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
-
-    /**
      * Returns an enumeration of the mappings in the extension.
      */
     public Enumeration<CertificatePolicyMap> getMappings() {
diff --git a/pki/base/util/src/netscape/security/x509/PrivateKeyUsageExtension.java b/pki/base/util/src/netscape/security/x509/PrivateKeyUsageExtension.java
index e3ecdb33d49b1dcdc4612996117be56190f972f3..da44026f205d9fe1a337892479c013eac0a44575 100644
--- a/pki/base/util/src/netscape/security/x509/PrivateKeyUsageExtension.java
+++ b/pki/base/util/src/netscape/security/x509/PrivateKeyUsageExtension.java
@@ -68,7 +68,6 @@ public class PrivateKeyUsageExtension extends Extension
     /**
      * Sub attributes name for this CertAttrSet.
      */
-    public static final String NAME = "PrivateKeyUsage";
     public static final String NOT_BEFORE = "not_before";
     public static final String NOT_AFTER = "not_after";
 
@@ -330,10 +329,4 @@ public class PrivateKeyUsageExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/SubjectAlternativeNameExtension.java b/pki/base/util/src/netscape/security/x509/SubjectAlternativeNameExtension.java
index c30ae15761b388cb5cb5adb8ac4a9c5588c6150f..cca094d8a93f6a85ec24033d7910457a47bbddbe 100644
--- a/pki/base/util/src/netscape/security/x509/SubjectAlternativeNameExtension.java
+++ b/pki/base/util/src/netscape/security/x509/SubjectAlternativeNameExtension.java
@@ -66,7 +66,6 @@ public class SubjectAlternativeNameExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "SubjectAlternativeName";
     public static final String SUBJECT_NAME = "subject_name";
 
     // private data members
@@ -233,10 +232,4 @@ public class SubjectAlternativeNameExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/SubjectDirAttributesExtension.java b/pki/base/util/src/netscape/security/x509/SubjectDirAttributesExtension.java
index b249ef6005485dd28af4d72f7e1ebff98bb705c4..2d5712746219ab24aa8a2aad24a09749a1a4dadc 100644
--- a/pki/base/util/src/netscape/security/x509/SubjectDirAttributesExtension.java
+++ b/pki/base/util/src/netscape/security/x509/SubjectDirAttributesExtension.java
@@ -74,7 +74,6 @@ public class SubjectDirAttributesExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "SubjectDirectoryAttributes";
 
     // Private data members
     private Vector<Attribute> attrList = new Vector<Attribute>();
@@ -104,7 +103,7 @@ public class SubjectDirAttributesExtension extends Extension
         }
 
         if (derVal.data.available() == 0) {
-            throw new IOException(NAME + " No data available in "
+            throw new IOException(this.getClass().getSimpleName() + " No data available in "
                                    + "passed DER encoded value.");
         }
 
@@ -161,7 +160,7 @@ public class SubjectDirAttributesExtension extends Extension
         this.critical = crit.booleanValue();
 
         if (!(value instanceof byte[]))
-            throw new IOException(NAME + "Illegal argument type");
+            throw new IOException(this.getClass().getSimpleName() + "Illegal argument type");
         int len = Array.getLength(value);
         byte[] extValue = new byte[len];
         System.arraycopy(value, 0, extValue, 0, len);
@@ -269,13 +268,6 @@ public class SubjectDirAttributesExtension extends Extension
     }
 
     /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
-
-    /**
      * Returns an enumeration of attributes in the extension.
      */
     public Enumeration<Attribute> getAttributesList() {
diff --git a/pki/base/util/src/netscape/security/x509/SubjectKeyIdentifierExtension.java b/pki/base/util/src/netscape/security/x509/SubjectKeyIdentifierExtension.java
index ea0ebae82328e9e19591a89f96ba3efe42c74723..e2daadc2802d29155040e15f3ce0895fbc489160 100644
--- a/pki/base/util/src/netscape/security/x509/SubjectKeyIdentifierExtension.java
+++ b/pki/base/util/src/netscape/security/x509/SubjectKeyIdentifierExtension.java
@@ -64,7 +64,6 @@ public class SubjectKeyIdentifierExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "SubjectKeyIdentifier";
     public static final String KEY_ID = "key_id";
 
     // Private data member
@@ -213,10 +212,4 @@ public class SubjectKeyIdentifierExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
-- 
1.7.5.1

